-- Copyright (C) 2018  Intel Corporation. All rights reserved.
-- Your use of Intel Corporation's design tools, logic functions 
-- and other software and tools, and its AMPP partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Intel Program License 
-- Subscription Agreement, the Intel Quartus Prime License Agreement,
-- the Intel FPGA IP License Agreement, or other applicable license
-- agreement, including, without limitation, that your use is for
-- the sole purpose of programming logic devices manufactured by
-- Intel and sold by Intel or its authorized distributors.  Please
-- refer to the applicable agreement for further details.

-- VENDOR "Altera"
-- PROGRAM "Quartus Prime"
-- VERSION "Version 18.1.0 Build 625 09/12/2018 SJ Standard Edition"

-- DATE "07/19/2020 13:52:47"

-- 
-- Device: Altera 10M16SAU169C8G Package UFBGA169
-- 

-- 
-- This VHDL file should be used for ModelSim-Altera (VHDL) only
-- 

LIBRARY FIFTYFIVENM;
LIBRARY IEEE;
USE FIFTYFIVENM.FIFTYFIVENM_COMPONENTS.ALL;
USE IEEE.STD_LOGIC_1164.ALL;

ENTITY 	hard_block IS
    PORT (
	devoe : IN std_logic;
	devclrn : IN std_logic;
	devpor : IN std_logic
	);
END hard_block;

-- Design Ports Information
-- ~ALTERA_TMS~	=>  Location: PIN_G1,	 I/O Standard: 3.3 V Schmitt Trigger,	 Current Strength: Default
-- ~ALTERA_TCK~	=>  Location: PIN_G2,	 I/O Standard: 3.3 V Schmitt Trigger,	 Current Strength: Default
-- ~ALTERA_TDI~	=>  Location: PIN_F5,	 I/O Standard: 3.3 V Schmitt Trigger,	 Current Strength: Default
-- ~ALTERA_TDO~	=>  Location: PIN_F6,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
-- ~ALTERA_CONFIG_SEL~	=>  Location: PIN_D7,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
-- ~ALTERA_nCONFIG~	=>  Location: PIN_E7,	 I/O Standard: 3.3 V Schmitt Trigger,	 Current Strength: Default
-- ~ALTERA_nSTATUS~	=>  Location: PIN_C4,	 I/O Standard: 3.3 V Schmitt Trigger,	 Current Strength: Default
-- ~ALTERA_CONF_DONE~	=>  Location: PIN_C5,	 I/O Standard: 3.3 V Schmitt Trigger,	 Current Strength: Default


ARCHITECTURE structure OF hard_block IS
SIGNAL gnd : std_logic := '0';
SIGNAL vcc : std_logic := '1';
SIGNAL unknown : std_logic := 'X';
SIGNAL ww_devoe : std_logic;
SIGNAL ww_devclrn : std_logic;
SIGNAL ww_devpor : std_logic;
SIGNAL \~ALTERA_TMS~~padout\ : std_logic;
SIGNAL \~ALTERA_TCK~~padout\ : std_logic;
SIGNAL \~ALTERA_TDI~~padout\ : std_logic;
SIGNAL \~ALTERA_CONFIG_SEL~~padout\ : std_logic;
SIGNAL \~ALTERA_nCONFIG~~padout\ : std_logic;
SIGNAL \~ALTERA_nSTATUS~~padout\ : std_logic;
SIGNAL \~ALTERA_CONF_DONE~~padout\ : std_logic;
SIGNAL \~ALTERA_TMS~~ibuf_o\ : std_logic;
SIGNAL \~ALTERA_TCK~~ibuf_o\ : std_logic;
SIGNAL \~ALTERA_TDI~~ibuf_o\ : std_logic;
SIGNAL \~ALTERA_CONFIG_SEL~~ibuf_o\ : std_logic;
SIGNAL \~ALTERA_nCONFIG~~ibuf_o\ : std_logic;
SIGNAL \~ALTERA_nSTATUS~~ibuf_o\ : std_logic;
SIGNAL \~ALTERA_CONF_DONE~~ibuf_o\ : std_logic;

BEGIN

ww_devoe <= devoe;
ww_devclrn <= devclrn;
ww_devpor <= devpor;
END structure;


LIBRARY FIFTYFIVENM;
LIBRARY IEEE;
USE FIFTYFIVENM.FIFTYFIVENM_COMPONENTS.ALL;
USE IEEE.STD_LOGIC_1164.ALL;

ENTITY 	TEST IS
    PORT (
	QSFP_MODPRS_A : OUT std_logic;
	CTRL_3V3_MODPRS_A : IN std_logic;
	QSFP_INT_A : OUT std_logic;
	CTRL_3V3_INT_A : IN std_logic;
	CTRL_3V3_MODSEL_A : OUT std_logic;
	QSFP_MODSEL_A : IN std_logic;
	CTRL_3V3_RST_A : OUT std_logic;
	QSFP_RST_A : IN std_logic;
	CTRL_3V3_LPMOD_A : OUT std_logic;
	QSFP_LPMOD_A : IN std_logic;
	QSFP_MODPRS_C : OUT std_logic;
	CTRL_3V3_MODPRS_C : IN std_logic;
	QSFP_INT_C : OUT std_logic;
	CTRL_3V3_INT_C : IN std_logic;
	QSFP_MODPRS_B : OUT std_logic;
	CTRL_3V3_MODPRS_B : IN std_logic;
	QSFP_INT_B : OUT std_logic;
	CTRL_3V3_INT_B : IN std_logic;
	QSFP_MODPRS_D : OUT std_logic;
	CTRL_3V3_MODPRS_D : IN std_logic;
	QSFP_INT_D : OUT std_logic;
	CTRL_3V3_INT_D : IN std_logic;
	CTRL_3V3_MODSEL_B : OUT std_logic;
	QSFP_MODSEL_B : IN std_logic;
	CTRL_3V3_RST_C : OUT std_logic;
	QSFP_RST_C : IN std_logic;
	CTRL_3V3_LPMOD_C : OUT std_logic;
	QSFP_LPMOD_C : IN std_logic;
	CTRL_3V3_MODSEL_C : OUT std_logic;
	QSFP_MODSEL_C : IN std_logic;
	CTRL_3V3_RST_B : OUT std_logic;
	QSFP_RST_B : IN std_logic;
	CTRL_3V3_LPMOD_B : OUT std_logic;
	QSFP_LPMOD_B : IN std_logic;
	CTRL_3V3_MODSEL_D : OUT std_logic;
	QSFP_MODSEL_D : IN std_logic;
	CTRL_3V3_RST_D : OUT std_logic;
	QSFP_RST_D : IN std_logic;
	CTRL_3V3_LPMOD_D : OUT std_logic;
	QSFP_LPMOD_D : IN std_logic;
	QSFP_MODPRS_E : OUT std_logic;
	CTRL_3V3_MODPRS_E : IN std_logic;
	QSFP_INT_E : OUT std_logic;
	CTRL_3V3_INT_E : IN std_logic;
	QSFP_MODPRS_F : OUT std_logic;
	CTRL_3V3_MODPRS_F : IN std_logic;
	QSFP_INT_F : OUT std_logic;
	CTRL_3V3_INT_F : IN std_logic;
	QSFP_MODPRS_G : OUT std_logic;
	CTRL_3V3_MODPRS_G : IN std_logic;
	QSFP_INT_G : OUT std_logic;
	CTRL_3V3_INT_G : IN std_logic;
	QSFP_MODPRS_H : OUT std_logic;
	CTRL_3V3_MODPRS_H : IN std_logic;
	QSFP_INT_H : OUT std_logic;
	CTRL_3V3_INT_H : IN std_logic;
	CTRL_3V3_MODSEL_E : OUT std_logic;
	QSFP_MODSEL_E : IN std_logic;
	CTRL_3V3_RST_E : OUT std_logic;
	QSFP_RST_E : IN std_logic;
	CTRL_3V3_LPMOD_E : OUT std_logic;
	QSFP_LPMOD_E : IN std_logic;
	CTRL_3V3_MODSEL_F : OUT std_logic;
	QSFP_MODSEL_F : IN std_logic;
	CTRL_3V3_RST_F : OUT std_logic;
	QSFP_RST_F : IN std_logic;
	CTRL_3V3_LPMOD_F : OUT std_logic;
	QSFP_LPMOD_F : IN std_logic;
	CTRL_3V3_MODSEL_G : OUT std_logic;
	QSFP_MODSEL_G : IN std_logic;
	CTRL_3V3_RST_G : OUT std_logic;
	QSFP_RST_G : IN std_logic;
	CTRL_3V3_LPMOD_G : OUT std_logic;
	QSFP_LPMOD_G : IN std_logic;
	CTRL_3V3_MODSEL_H : OUT std_logic;
	QSFP_MODSEL_H : IN std_logic;
	CTRL_3V3_RST_H : OUT std_logic;
	QSFP_RST_H : IN std_logic;
	CTRL_3V3_LPMOD_H : OUT std_logic;
	QSFP_LPMOD_H : IN std_logic;
	QSFP_MODPRS_J : OUT std_logic;
	CTRL_3V3_MODPRS_J : IN std_logic;
	QSFP_INT_J : OUT std_logic;
	CTRL_3V3_INT_J : IN std_logic;
	CTRL_3V3_MODSEL_J : OUT std_logic;
	QSFP_MODSEL_J : IN std_logic;
	CTRL_3V3_RST_J : OUT std_logic;
	QSFP_RST_J : IN std_logic;
	CTRL_3V3_LPMOD_J : OUT std_logic;
	QSFP_LPMOD_J : IN std_logic;
	QSFP_AUX_0 : INOUT std_logic;
	QSFP_AUX_1 : INOUT std_logic;
	QSFP_AUX_2 : INOUT std_logic;
	QSFP_AUX_3 : INOUT std_logic
	);
END TEST;

-- Design Ports Information
-- QSFP_MODPRS_A	=>  Location: PIN_J9,	 I/O Standard: 1.8 V,	 Current Strength: Default
-- QSFP_INT_A	=>  Location: PIN_K1,	 I/O Standard: 1.8 V,	 Current Strength: Default
-- CTRL_3V3_MODSEL_A	=>  Location: PIN_J5,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- CTRL_3V3_RST_A	=>  Location: PIN_L4,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- CTRL_3V3_LPMOD_A	=>  Location: PIN_F4,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- QSFP_MODPRS_C	=>  Location: PIN_H8,	 I/O Standard: 1.8 V,	 Current Strength: Default
-- QSFP_INT_C	=>  Location: PIN_G13,	 I/O Standard: 1.8 V,	 Current Strength: Default
-- QSFP_MODPRS_B	=>  Location: PIN_L13,	 I/O Standard: 1.8 V,	 Current Strength: Default
-- QSFP_INT_B	=>  Location: PIN_G9,	 I/O Standard: 1.8 V,	 Current Strength: Default
-- QSFP_MODPRS_D	=>  Location: PIN_C12,	 I/O Standard: 1.8 V,	 Current Strength: Default
-- QSFP_INT_D	=>  Location: PIN_E9,	 I/O Standard: 1.8 V,	 Current Strength: Default
-- CTRL_3V3_MODSEL_B	=>  Location: PIN_N5,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- CTRL_3V3_RST_C	=>  Location: PIN_L5,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- CTRL_3V3_LPMOD_C	=>  Location: PIN_M11,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- CTRL_3V3_MODSEL_C	=>  Location: PIN_N8,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- CTRL_3V3_RST_B	=>  Location: PIN_A9,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- CTRL_3V3_LPMOD_B	=>  Location: PIN_K5,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- CTRL_3V3_MODSEL_D	=>  Location: PIN_G4,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- CTRL_3V3_RST_D	=>  Location: PIN_M5,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- CTRL_3V3_LPMOD_D	=>  Location: PIN_H2,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- QSFP_MODPRS_E	=>  Location: PIN_F12,	 I/O Standard: 1.8 V,	 Current Strength: Default
-- QSFP_INT_E	=>  Location: PIN_F8,	 I/O Standard: 1.8 V,	 Current Strength: Default
-- QSFP_MODPRS_F	=>  Location: PIN_B13,	 I/O Standard: 1.8 V,	 Current Strength: Default
-- QSFP_INT_F	=>  Location: PIN_B12,	 I/O Standard: 1.8 V,	 Current Strength: Default
-- QSFP_MODPRS_G	=>  Location: PIN_C11,	 I/O Standard: 1.8 V,	 Current Strength: Default
-- QSFP_INT_G	=>  Location: PIN_A12,	 I/O Standard: 1.8 V,	 Current Strength: Default
-- QSFP_MODPRS_H	=>  Location: PIN_B11,	 I/O Standard: 1.8 V,	 Current Strength: Default
-- QSFP_INT_H	=>  Location: PIN_E10,	 I/O Standard: 1.8 V,	 Current Strength: Default
-- CTRL_3V3_MODSEL_E	=>  Location: PIN_H3,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- CTRL_3V3_RST_E	=>  Location: PIN_N7,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- CTRL_3V3_LPMOD_E	=>  Location: PIN_M4,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- CTRL_3V3_MODSEL_F	=>  Location: PIN_A10,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- CTRL_3V3_RST_F	=>  Location: PIN_D8,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- CTRL_3V3_LPMOD_F	=>  Location: PIN_L10,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- CTRL_3V3_MODSEL_G	=>  Location: PIN_K8,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- CTRL_3V3_RST_G	=>  Location: PIN_L11,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- CTRL_3V3_LPMOD_G	=>  Location: PIN_J8,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- CTRL_3V3_MODSEL_H	=>  Location: PIN_M12,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- CTRL_3V3_RST_H	=>  Location: PIN_N4,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- CTRL_3V3_LPMOD_H	=>  Location: PIN_N12,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- QSFP_MODPRS_J	=>  Location: PIN_D12,	 I/O Standard: 1.8 V,	 Current Strength: Default
-- QSFP_INT_J	=>  Location: PIN_C13,	 I/O Standard: 1.8 V,	 Current Strength: Default
-- CTRL_3V3_MODSEL_J	=>  Location: PIN_M10,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- CTRL_3V3_RST_J	=>  Location: PIN_A11,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- CTRL_3V3_LPMOD_J	=>  Location: PIN_N9,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- QSFP_AUX_0	=>  Location: PIN_H4,	 I/O Standard: 1.8 V,	 Current Strength: Default
-- QSFP_AUX_1	=>  Location: PIN_H9,	 I/O Standard: 1.8 V,	 Current Strength: Default
-- QSFP_AUX_2	=>  Location: PIN_H13,	 I/O Standard: 1.8 V,	 Current Strength: Default
-- QSFP_AUX_3	=>  Location: PIN_J13,	 I/O Standard: 1.8 V,	 Current Strength: Default
-- CTRL_3V3_MODPRS_A	=>  Location: PIN_A8,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
-- CTRL_3V3_INT_A	=>  Location: PIN_N6,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
-- QSFP_MODSEL_A	=>  Location: PIN_N2,	 I/O Standard: 1.8 V,	 Current Strength: Default
-- QSFP_RST_A	=>  Location: PIN_D9,	 I/O Standard: 1.8 V,	 Current Strength: Default
-- QSFP_LPMOD_A	=>  Location: PIN_H6,	 I/O Standard: 1.8 V,	 Current Strength: Default
-- CTRL_3V3_MODPRS_C	=>  Location: PIN_E8,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
-- CTRL_3V3_INT_C	=>  Location: PIN_A6,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
-- CTRL_3V3_MODPRS_B	=>  Location: PIN_M13,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
-- CTRL_3V3_INT_B	=>  Location: PIN_B9,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
-- CTRL_3V3_MODPRS_D	=>  Location: PIN_C1,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
-- CTRL_3V3_INT_D	=>  Location: PIN_C10,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
-- QSFP_MODSEL_B	=>  Location: PIN_M2,	 I/O Standard: 1.8 V,	 Current Strength: Default
-- QSFP_RST_C	=>  Location: PIN_K2,	 I/O Standard: 1.8 V,	 Current Strength: Default
-- QSFP_LPMOD_C	=>  Location: PIN_J12,	 I/O Standard: 1.8 V,	 Current Strength: Default
-- QSFP_MODSEL_C	=>  Location: PIN_M1,	 I/O Standard: 1.8 V,	 Current Strength: Default
-- QSFP_RST_B	=>  Location: PIN_F13,	 I/O Standard: 1.8 V,	 Current Strength: Default
-- QSFP_LPMOD_B	=>  Location: PIN_L2,	 I/O Standard: 1.8 V,	 Current Strength: Default
-- QSFP_MODSEL_D	=>  Location: PIN_J2,	 I/O Standard: 1.8 V,	 Current Strength: Default
-- QSFP_RST_D	=>  Location: PIN_N3,	 I/O Standard: 1.8 V,	 Current Strength: Default
-- QSFP_LPMOD_D	=>  Location: PIN_G5,	 I/O Standard: 1.8 V,	 Current Strength: Default
-- CTRL_3V3_MODPRS_E	=>  Location: PIN_A7,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
-- CTRL_3V3_INT_E	=>  Location: PIN_E1,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
-- CTRL_3V3_MODPRS_F	=>  Location: PIN_E3,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
-- CTRL_3V3_INT_F	=>  Location: PIN_F1,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
-- CTRL_3V3_MODPRS_G	=>  Location: PIN_B10,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
-- CTRL_3V3_INT_G	=>  Location: PIN_E4,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
-- CTRL_3V3_MODPRS_H	=>  Location: PIN_B1,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
-- CTRL_3V3_INT_H	=>  Location: PIN_D1,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
-- QSFP_MODSEL_E	=>  Location: PIN_J1,	 I/O Standard: 1.8 V,	 Current Strength: Default
-- QSFP_RST_E	=>  Location: PIN_H5,	 I/O Standard: 1.8 V,	 Current Strength: Default
-- QSFP_LPMOD_E	=>  Location: PIN_L3,	 I/O Standard: 1.8 V,	 Current Strength: Default
-- QSFP_MODSEL_F	=>  Location: PIN_G10,	 I/O Standard: 1.8 V,	 Current Strength: Default
-- QSFP_RST_F	=>  Location: PIN_E13,	 I/O Standard: 1.8 V,	 Current Strength: Default
-- QSFP_LPMOD_F	=>  Location: PIN_K11,	 I/O Standard: 1.8 V,	 Current Strength: Default
-- QSFP_MODSEL_G	=>  Location: PIN_D11,	 I/O Standard: 1.8 V,	 Current Strength: Default
-- QSFP_RST_G	=>  Location: PIN_J10,	 I/O Standard: 1.8 V,	 Current Strength: Default
-- QSFP_LPMOD_G	=>  Location: PIN_G12,	 I/O Standard: 1.8 V,	 Current Strength: Default
-- QSFP_MODSEL_H	=>  Location: PIN_L12,	 I/O Standard: 1.8 V,	 Current Strength: Default
-- QSFP_RST_H	=>  Location: PIN_M3,	 I/O Standard: 1.8 V,	 Current Strength: Default
-- QSFP_LPMOD_H	=>  Location: PIN_K12,	 I/O Standard: 1.8 V,	 Current Strength: Default
-- CTRL_3V3_MODPRS_J	=>  Location: PIN_B5,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
-- CTRL_3V3_INT_J	=>  Location: PIN_C9,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
-- QSFP_MODSEL_J	=>  Location: PIN_K10,	 I/O Standard: 1.8 V,	 Current Strength: Default
-- QSFP_RST_J	=>  Location: PIN_E12,	 I/O Standard: 1.8 V,	 Current Strength: Default
-- QSFP_LPMOD_J	=>  Location: PIN_H10,	 I/O Standard: 1.8 V,	 Current Strength: Default


ARCHITECTURE structure OF TEST IS
SIGNAL gnd : std_logic := '0';
SIGNAL vcc : std_logic := '1';
SIGNAL unknown : std_logic := 'X';
SIGNAL devoe : std_logic := '1';
SIGNAL devclrn : std_logic := '1';
SIGNAL devpor : std_logic := '1';
SIGNAL ww_devoe : std_logic;
SIGNAL ww_devclrn : std_logic;
SIGNAL ww_devpor : std_logic;
SIGNAL ww_QSFP_MODPRS_A : std_logic;
SIGNAL ww_CTRL_3V3_MODPRS_A : std_logic;
SIGNAL ww_QSFP_INT_A : std_logic;
SIGNAL ww_CTRL_3V3_INT_A : std_logic;
SIGNAL ww_CTRL_3V3_MODSEL_A : std_logic;
SIGNAL ww_QSFP_MODSEL_A : std_logic;
SIGNAL ww_CTRL_3V3_RST_A : std_logic;
SIGNAL ww_QSFP_RST_A : std_logic;
SIGNAL ww_CTRL_3V3_LPMOD_A : std_logic;
SIGNAL ww_QSFP_LPMOD_A : std_logic;
SIGNAL ww_QSFP_MODPRS_C : std_logic;
SIGNAL ww_CTRL_3V3_MODPRS_C : std_logic;
SIGNAL ww_QSFP_INT_C : std_logic;
SIGNAL ww_CTRL_3V3_INT_C : std_logic;
SIGNAL ww_QSFP_MODPRS_B : std_logic;
SIGNAL ww_CTRL_3V3_MODPRS_B : std_logic;
SIGNAL ww_QSFP_INT_B : std_logic;
SIGNAL ww_CTRL_3V3_INT_B : std_logic;
SIGNAL ww_QSFP_MODPRS_D : std_logic;
SIGNAL ww_CTRL_3V3_MODPRS_D : std_logic;
SIGNAL ww_QSFP_INT_D : std_logic;
SIGNAL ww_CTRL_3V3_INT_D : std_logic;
SIGNAL ww_CTRL_3V3_MODSEL_B : std_logic;
SIGNAL ww_QSFP_MODSEL_B : std_logic;
SIGNAL ww_CTRL_3V3_RST_C : std_logic;
SIGNAL ww_QSFP_RST_C : std_logic;
SIGNAL ww_CTRL_3V3_LPMOD_C : std_logic;
SIGNAL ww_QSFP_LPMOD_C : std_logic;
SIGNAL ww_CTRL_3V3_MODSEL_C : std_logic;
SIGNAL ww_QSFP_MODSEL_C : std_logic;
SIGNAL ww_CTRL_3V3_RST_B : std_logic;
SIGNAL ww_QSFP_RST_B : std_logic;
SIGNAL ww_CTRL_3V3_LPMOD_B : std_logic;
SIGNAL ww_QSFP_LPMOD_B : std_logic;
SIGNAL ww_CTRL_3V3_MODSEL_D : std_logic;
SIGNAL ww_QSFP_MODSEL_D : std_logic;
SIGNAL ww_CTRL_3V3_RST_D : std_logic;
SIGNAL ww_QSFP_RST_D : std_logic;
SIGNAL ww_CTRL_3V3_LPMOD_D : std_logic;
SIGNAL ww_QSFP_LPMOD_D : std_logic;
SIGNAL ww_QSFP_MODPRS_E : std_logic;
SIGNAL ww_CTRL_3V3_MODPRS_E : std_logic;
SIGNAL ww_QSFP_INT_E : std_logic;
SIGNAL ww_CTRL_3V3_INT_E : std_logic;
SIGNAL ww_QSFP_MODPRS_F : std_logic;
SIGNAL ww_CTRL_3V3_MODPRS_F : std_logic;
SIGNAL ww_QSFP_INT_F : std_logic;
SIGNAL ww_CTRL_3V3_INT_F : std_logic;
SIGNAL ww_QSFP_MODPRS_G : std_logic;
SIGNAL ww_CTRL_3V3_MODPRS_G : std_logic;
SIGNAL ww_QSFP_INT_G : std_logic;
SIGNAL ww_CTRL_3V3_INT_G : std_logic;
SIGNAL ww_QSFP_MODPRS_H : std_logic;
SIGNAL ww_CTRL_3V3_MODPRS_H : std_logic;
SIGNAL ww_QSFP_INT_H : std_logic;
SIGNAL ww_CTRL_3V3_INT_H : std_logic;
SIGNAL ww_CTRL_3V3_MODSEL_E : std_logic;
SIGNAL ww_QSFP_MODSEL_E : std_logic;
SIGNAL ww_CTRL_3V3_RST_E : std_logic;
SIGNAL ww_QSFP_RST_E : std_logic;
SIGNAL ww_CTRL_3V3_LPMOD_E : std_logic;
SIGNAL ww_QSFP_LPMOD_E : std_logic;
SIGNAL ww_CTRL_3V3_MODSEL_F : std_logic;
SIGNAL ww_QSFP_MODSEL_F : std_logic;
SIGNAL ww_CTRL_3V3_RST_F : std_logic;
SIGNAL ww_QSFP_RST_F : std_logic;
SIGNAL ww_CTRL_3V3_LPMOD_F : std_logic;
SIGNAL ww_QSFP_LPMOD_F : std_logic;
SIGNAL ww_CTRL_3V3_MODSEL_G : std_logic;
SIGNAL ww_QSFP_MODSEL_G : std_logic;
SIGNAL ww_CTRL_3V3_RST_G : std_logic;
SIGNAL ww_QSFP_RST_G : std_logic;
SIGNAL ww_CTRL_3V3_LPMOD_G : std_logic;
SIGNAL ww_QSFP_LPMOD_G : std_logic;
SIGNAL ww_CTRL_3V3_MODSEL_H : std_logic;
SIGNAL ww_QSFP_MODSEL_H : std_logic;
SIGNAL ww_CTRL_3V3_RST_H : std_logic;
SIGNAL ww_QSFP_RST_H : std_logic;
SIGNAL ww_CTRL_3V3_LPMOD_H : std_logic;
SIGNAL ww_QSFP_LPMOD_H : std_logic;
SIGNAL ww_QSFP_MODPRS_J : std_logic;
SIGNAL ww_CTRL_3V3_MODPRS_J : std_logic;
SIGNAL ww_QSFP_INT_J : std_logic;
SIGNAL ww_CTRL_3V3_INT_J : std_logic;
SIGNAL ww_CTRL_3V3_MODSEL_J : std_logic;
SIGNAL ww_QSFP_MODSEL_J : std_logic;
SIGNAL ww_CTRL_3V3_RST_J : std_logic;
SIGNAL ww_QSFP_RST_J : std_logic;
SIGNAL ww_CTRL_3V3_LPMOD_J : std_logic;
SIGNAL ww_QSFP_LPMOD_J : std_logic;
SIGNAL \~QUARTUS_CREATED_ADC1~_CHSEL_bus\ : std_logic_vector(4 DOWNTO 0);
SIGNAL \QSFP_AUX_0~input_o\ : std_logic;
SIGNAL \QSFP_AUX_1~input_o\ : std_logic;
SIGNAL \QSFP_AUX_2~input_o\ : std_logic;
SIGNAL \QSFP_AUX_3~input_o\ : std_logic;
SIGNAL \~QUARTUS_CREATED_GND~I_combout\ : std_logic;
SIGNAL \~QUARTUS_CREATED_UNVM~~busy\ : std_logic;
SIGNAL \~QUARTUS_CREATED_ADC1~~eoc\ : std_logic;
SIGNAL \QSFP_AUX_0~output_o\ : std_logic;
SIGNAL \QSFP_AUX_1~output_o\ : std_logic;
SIGNAL \QSFP_AUX_2~output_o\ : std_logic;
SIGNAL \QSFP_AUX_3~output_o\ : std_logic;
SIGNAL \QSFP_MODPRS_A~output_o\ : std_logic;
SIGNAL \QSFP_INT_A~output_o\ : std_logic;
SIGNAL \CTRL_3V3_MODSEL_A~output_o\ : std_logic;
SIGNAL \CTRL_3V3_RST_A~output_o\ : std_logic;
SIGNAL \CTRL_3V3_LPMOD_A~output_o\ : std_logic;
SIGNAL \QSFP_MODPRS_C~output_o\ : std_logic;
SIGNAL \QSFP_INT_C~output_o\ : std_logic;
SIGNAL \QSFP_MODPRS_B~output_o\ : std_logic;
SIGNAL \QSFP_INT_B~output_o\ : std_logic;
SIGNAL \QSFP_MODPRS_D~output_o\ : std_logic;
SIGNAL \QSFP_INT_D~output_o\ : std_logic;
SIGNAL \CTRL_3V3_MODSEL_B~output_o\ : std_logic;
SIGNAL \CTRL_3V3_RST_C~output_o\ : std_logic;
SIGNAL \CTRL_3V3_LPMOD_C~output_o\ : std_logic;
SIGNAL \CTRL_3V3_MODSEL_C~output_o\ : std_logic;
SIGNAL \CTRL_3V3_RST_B~output_o\ : std_logic;
SIGNAL \CTRL_3V3_LPMOD_B~output_o\ : std_logic;
SIGNAL \CTRL_3V3_MODSEL_D~output_o\ : std_logic;
SIGNAL \CTRL_3V3_RST_D~output_o\ : std_logic;
SIGNAL \CTRL_3V3_LPMOD_D~output_o\ : std_logic;
SIGNAL \QSFP_MODPRS_E~output_o\ : std_logic;
SIGNAL \QSFP_INT_E~output_o\ : std_logic;
SIGNAL \QSFP_MODPRS_F~output_o\ : std_logic;
SIGNAL \QSFP_INT_F~output_o\ : std_logic;
SIGNAL \QSFP_MODPRS_G~output_o\ : std_logic;
SIGNAL \QSFP_INT_G~output_o\ : std_logic;
SIGNAL \QSFP_MODPRS_H~output_o\ : std_logic;
SIGNAL \QSFP_INT_H~output_o\ : std_logic;
SIGNAL \CTRL_3V3_MODSEL_E~output_o\ : std_logic;
SIGNAL \CTRL_3V3_RST_E~output_o\ : std_logic;
SIGNAL \CTRL_3V3_LPMOD_E~output_o\ : std_logic;
SIGNAL \CTRL_3V3_MODSEL_F~output_o\ : std_logic;
SIGNAL \CTRL_3V3_RST_F~output_o\ : std_logic;
SIGNAL \CTRL_3V3_LPMOD_F~output_o\ : std_logic;
SIGNAL \CTRL_3V3_MODSEL_G~output_o\ : std_logic;
SIGNAL \CTRL_3V3_RST_G~output_o\ : std_logic;
SIGNAL \CTRL_3V3_LPMOD_G~output_o\ : std_logic;
SIGNAL \CTRL_3V3_MODSEL_H~output_o\ : std_logic;
SIGNAL \CTRL_3V3_RST_H~output_o\ : std_logic;
SIGNAL \CTRL_3V3_LPMOD_H~output_o\ : std_logic;
SIGNAL \QSFP_MODPRS_J~output_o\ : std_logic;
SIGNAL \QSFP_INT_J~output_o\ : std_logic;
SIGNAL \CTRL_3V3_MODSEL_J~output_o\ : std_logic;
SIGNAL \CTRL_3V3_RST_J~output_o\ : std_logic;
SIGNAL \CTRL_3V3_LPMOD_J~output_o\ : std_logic;
SIGNAL \CTRL_3V3_MODPRS_A~input_o\ : std_logic;
SIGNAL \CTRL_3V3_INT_A~input_o\ : std_logic;
SIGNAL \QSFP_MODSEL_A~input_o\ : std_logic;
SIGNAL \QSFP_RST_A~input_o\ : std_logic;
SIGNAL \QSFP_LPMOD_A~input_o\ : std_logic;
SIGNAL \CTRL_3V3_MODPRS_C~input_o\ : std_logic;
SIGNAL \CTRL_3V3_INT_C~input_o\ : std_logic;
SIGNAL \CTRL_3V3_MODPRS_B~input_o\ : std_logic;
SIGNAL \CTRL_3V3_INT_B~input_o\ : std_logic;
SIGNAL \CTRL_3V3_MODPRS_D~input_o\ : std_logic;
SIGNAL \CTRL_3V3_INT_D~input_o\ : std_logic;
SIGNAL \QSFP_MODSEL_B~input_o\ : std_logic;
SIGNAL \QSFP_RST_C~input_o\ : std_logic;
SIGNAL \QSFP_LPMOD_C~input_o\ : std_logic;
SIGNAL \QSFP_MODSEL_C~input_o\ : std_logic;
SIGNAL \QSFP_RST_B~input_o\ : std_logic;
SIGNAL \QSFP_LPMOD_B~input_o\ : std_logic;
SIGNAL \QSFP_MODSEL_D~input_o\ : std_logic;
SIGNAL \QSFP_RST_D~input_o\ : std_logic;
SIGNAL \QSFP_LPMOD_D~input_o\ : std_logic;
SIGNAL \CTRL_3V3_MODPRS_E~input_o\ : std_logic;
SIGNAL \CTRL_3V3_INT_E~input_o\ : std_logic;
SIGNAL \CTRL_3V3_MODPRS_F~input_o\ : std_logic;
SIGNAL \CTRL_3V3_INT_F~input_o\ : std_logic;
SIGNAL \CTRL_3V3_MODPRS_G~input_o\ : std_logic;
SIGNAL \CTRL_3V3_INT_G~input_o\ : std_logic;
SIGNAL \CTRL_3V3_MODPRS_H~input_o\ : std_logic;
SIGNAL \CTRL_3V3_INT_H~input_o\ : std_logic;
SIGNAL \QSFP_MODSEL_E~input_o\ : std_logic;
SIGNAL \QSFP_RST_E~input_o\ : std_logic;
SIGNAL \QSFP_LPMOD_E~input_o\ : std_logic;
SIGNAL \QSFP_MODSEL_F~input_o\ : std_logic;
SIGNAL \QSFP_RST_F~input_o\ : std_logic;
SIGNAL \QSFP_LPMOD_F~input_o\ : std_logic;
SIGNAL \QSFP_MODSEL_G~input_o\ : std_logic;
SIGNAL \QSFP_RST_G~input_o\ : std_logic;
SIGNAL \QSFP_LPMOD_G~input_o\ : std_logic;
SIGNAL \QSFP_MODSEL_H~input_o\ : std_logic;
SIGNAL \QSFP_RST_H~input_o\ : std_logic;
SIGNAL \QSFP_LPMOD_H~input_o\ : std_logic;
SIGNAL \CTRL_3V3_MODPRS_J~input_o\ : std_logic;
SIGNAL \CTRL_3V3_INT_J~input_o\ : std_logic;
SIGNAL \QSFP_MODSEL_J~input_o\ : std_logic;
SIGNAL \QSFP_RST_J~input_o\ : std_logic;
SIGNAL \QSFP_LPMOD_J~input_o\ : std_logic;

COMPONENT hard_block
    PORT (
	devoe : IN std_logic;
	devclrn : IN std_logic;
	devpor : IN std_logic);
END COMPONENT;

BEGIN

QSFP_MODPRS_A <= ww_QSFP_MODPRS_A;
ww_CTRL_3V3_MODPRS_A <= CTRL_3V3_MODPRS_A;
QSFP_INT_A <= ww_QSFP_INT_A;
ww_CTRL_3V3_INT_A <= CTRL_3V3_INT_A;
CTRL_3V3_MODSEL_A <= ww_CTRL_3V3_MODSEL_A;
ww_QSFP_MODSEL_A <= QSFP_MODSEL_A;
CTRL_3V3_RST_A <= ww_CTRL_3V3_RST_A;
ww_QSFP_RST_A <= QSFP_RST_A;
CTRL_3V3_LPMOD_A <= ww_CTRL_3V3_LPMOD_A;
ww_QSFP_LPMOD_A <= QSFP_LPMOD_A;
QSFP_MODPRS_C <= ww_QSFP_MODPRS_C;
ww_CTRL_3V3_MODPRS_C <= CTRL_3V3_MODPRS_C;
QSFP_INT_C <= ww_QSFP_INT_C;
ww_CTRL_3V3_INT_C <= CTRL_3V3_INT_C;
QSFP_MODPRS_B <= ww_QSFP_MODPRS_B;
ww_CTRL_3V3_MODPRS_B <= CTRL_3V3_MODPRS_B;
QSFP_INT_B <= ww_QSFP_INT_B;
ww_CTRL_3V3_INT_B <= CTRL_3V3_INT_B;
QSFP_MODPRS_D <= ww_QSFP_MODPRS_D;
ww_CTRL_3V3_MODPRS_D <= CTRL_3V3_MODPRS_D;
QSFP_INT_D <= ww_QSFP_INT_D;
ww_CTRL_3V3_INT_D <= CTRL_3V3_INT_D;
CTRL_3V3_MODSEL_B <= ww_CTRL_3V3_MODSEL_B;
ww_QSFP_MODSEL_B <= QSFP_MODSEL_B;
CTRL_3V3_RST_C <= ww_CTRL_3V3_RST_C;
ww_QSFP_RST_C <= QSFP_RST_C;
CTRL_3V3_LPMOD_C <= ww_CTRL_3V3_LPMOD_C;
ww_QSFP_LPMOD_C <= QSFP_LPMOD_C;
CTRL_3V3_MODSEL_C <= ww_CTRL_3V3_MODSEL_C;
ww_QSFP_MODSEL_C <= QSFP_MODSEL_C;
CTRL_3V3_RST_B <= ww_CTRL_3V3_RST_B;
ww_QSFP_RST_B <= QSFP_RST_B;
CTRL_3V3_LPMOD_B <= ww_CTRL_3V3_LPMOD_B;
ww_QSFP_LPMOD_B <= QSFP_LPMOD_B;
CTRL_3V3_MODSEL_D <= ww_CTRL_3V3_MODSEL_D;
ww_QSFP_MODSEL_D <= QSFP_MODSEL_D;
CTRL_3V3_RST_D <= ww_CTRL_3V3_RST_D;
ww_QSFP_RST_D <= QSFP_RST_D;
CTRL_3V3_LPMOD_D <= ww_CTRL_3V3_LPMOD_D;
ww_QSFP_LPMOD_D <= QSFP_LPMOD_D;
QSFP_MODPRS_E <= ww_QSFP_MODPRS_E;
ww_CTRL_3V3_MODPRS_E <= CTRL_3V3_MODPRS_E;
QSFP_INT_E <= ww_QSFP_INT_E;
ww_CTRL_3V3_INT_E <= CTRL_3V3_INT_E;
QSFP_MODPRS_F <= ww_QSFP_MODPRS_F;
ww_CTRL_3V3_MODPRS_F <= CTRL_3V3_MODPRS_F;
QSFP_INT_F <= ww_QSFP_INT_F;
ww_CTRL_3V3_INT_F <= CTRL_3V3_INT_F;
QSFP_MODPRS_G <= ww_QSFP_MODPRS_G;
ww_CTRL_3V3_MODPRS_G <= CTRL_3V3_MODPRS_G;
QSFP_INT_G <= ww_QSFP_INT_G;
ww_CTRL_3V3_INT_G <= CTRL_3V3_INT_G;
QSFP_MODPRS_H <= ww_QSFP_MODPRS_H;
ww_CTRL_3V3_MODPRS_H <= CTRL_3V3_MODPRS_H;
QSFP_INT_H <= ww_QSFP_INT_H;
ww_CTRL_3V3_INT_H <= CTRL_3V3_INT_H;
CTRL_3V3_MODSEL_E <= ww_CTRL_3V3_MODSEL_E;
ww_QSFP_MODSEL_E <= QSFP_MODSEL_E;
CTRL_3V3_RST_E <= ww_CTRL_3V3_RST_E;
ww_QSFP_RST_E <= QSFP_RST_E;
CTRL_3V3_LPMOD_E <= ww_CTRL_3V3_LPMOD_E;
ww_QSFP_LPMOD_E <= QSFP_LPMOD_E;
CTRL_3V3_MODSEL_F <= ww_CTRL_3V3_MODSEL_F;
ww_QSFP_MODSEL_F <= QSFP_MODSEL_F;
CTRL_3V3_RST_F <= ww_CTRL_3V3_RST_F;
ww_QSFP_RST_F <= QSFP_RST_F;
CTRL_3V3_LPMOD_F <= ww_CTRL_3V3_LPMOD_F;
ww_QSFP_LPMOD_F <= QSFP_LPMOD_F;
CTRL_3V3_MODSEL_G <= ww_CTRL_3V3_MODSEL_G;
ww_QSFP_MODSEL_G <= QSFP_MODSEL_G;
CTRL_3V3_RST_G <= ww_CTRL_3V3_RST_G;
ww_QSFP_RST_G <= QSFP_RST_G;
CTRL_3V3_LPMOD_G <= ww_CTRL_3V3_LPMOD_G;
ww_QSFP_LPMOD_G <= QSFP_LPMOD_G;
CTRL_3V3_MODSEL_H <= ww_CTRL_3V3_MODSEL_H;
ww_QSFP_MODSEL_H <= QSFP_MODSEL_H;
CTRL_3V3_RST_H <= ww_CTRL_3V3_RST_H;
ww_QSFP_RST_H <= QSFP_RST_H;
CTRL_3V3_LPMOD_H <= ww_CTRL_3V3_LPMOD_H;
ww_QSFP_LPMOD_H <= QSFP_LPMOD_H;
QSFP_MODPRS_J <= ww_QSFP_MODPRS_J;
ww_CTRL_3V3_MODPRS_J <= CTRL_3V3_MODPRS_J;
QSFP_INT_J <= ww_QSFP_INT_J;
ww_CTRL_3V3_INT_J <= CTRL_3V3_INT_J;
CTRL_3V3_MODSEL_J <= ww_CTRL_3V3_MODSEL_J;
ww_QSFP_MODSEL_J <= QSFP_MODSEL_J;
CTRL_3V3_RST_J <= ww_CTRL_3V3_RST_J;
ww_QSFP_RST_J <= QSFP_RST_J;
CTRL_3V3_LPMOD_J <= ww_CTRL_3V3_LPMOD_J;
ww_QSFP_LPMOD_J <= QSFP_LPMOD_J;
ww_devoe <= devoe;
ww_devclrn <= devclrn;
ww_devpor <= devpor;

\~QUARTUS_CREATED_ADC1~_CHSEL_bus\ <= (\~QUARTUS_CREATED_GND~I_combout\ & \~QUARTUS_CREATED_GND~I_combout\ & \~QUARTUS_CREATED_GND~I_combout\ & \~QUARTUS_CREATED_GND~I_combout\ & \~QUARTUS_CREATED_GND~I_combout\);
auto_generated_inst : hard_block
PORT MAP (
	devoe => ww_devoe,
	devclrn => ww_devclrn,
	devpor => ww_devpor);

-- Location: LCCOMB_X1_Y1_N8
\~QUARTUS_CREATED_GND~I\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \~QUARTUS_CREATED_GND~I_combout\ = GND

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \~QUARTUS_CREATED_GND~I_combout\);

-- Location: IOOBUF_X0_Y8_N23
\QSFP_AUX_0~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \QSFP_AUX_0~output_o\);

-- Location: IOOBUF_X50_Y11_N24
\QSFP_AUX_1~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \QSFP_AUX_1~output_o\);

-- Location: IOOBUF_X50_Y10_N2
\QSFP_AUX_2~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \QSFP_AUX_2~output_o\);

-- Location: IOOBUF_X50_Y10_N9
\QSFP_AUX_3~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \QSFP_AUX_3~output_o\);

-- Location: IOOBUF_X50_Y10_N23
\QSFP_MODPRS_A~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \CTRL_3V3_MODPRS_A~input_o\,
	devoe => ww_devoe,
	o => \QSFP_MODPRS_A~output_o\);

-- Location: IOOBUF_X0_Y3_N2
\QSFP_INT_A~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \CTRL_3V3_INT_A~input_o\,
	devoe => ww_devoe,
	o => \QSFP_INT_A~output_o\);

-- Location: IOOBUF_X6_Y0_N2
\CTRL_3V3_MODSEL_A~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \QSFP_MODSEL_A~input_o\,
	devoe => ww_devoe,
	o => \CTRL_3V3_MODSEL_A~output_o\);

-- Location: IOOBUF_X6_Y0_N30
\CTRL_3V3_RST_A~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \QSFP_RST_A~input_o\,
	devoe => ww_devoe,
	o => \CTRL_3V3_RST_A~output_o\);

-- Location: IOOBUF_X0_Y12_N16
\CTRL_3V3_LPMOD_A~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \QSFP_LPMOD_A~input_o\,
	devoe => ww_devoe,
	o => \CTRL_3V3_LPMOD_A~output_o\);

-- Location: IOOBUF_X50_Y11_N16
\QSFP_MODPRS_C~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \CTRL_3V3_MODPRS_C~input_o\,
	devoe => ww_devoe,
	o => \QSFP_MODPRS_C~output_o\);

-- Location: IOOBUF_X50_Y11_N9
\QSFP_INT_C~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \CTRL_3V3_INT_C~input_o\,
	devoe => ww_devoe,
	o => \QSFP_INT_C~output_o\);

-- Location: IOOBUF_X50_Y8_N9
\QSFP_MODPRS_B~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \CTRL_3V3_MODPRS_B~input_o\,
	devoe => ww_devoe,
	o => \QSFP_MODPRS_B~output_o\);

-- Location: IOOBUF_X50_Y14_N23
\QSFP_INT_B~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \CTRL_3V3_INT_B~input_o\,
	devoe => ww_devoe,
	o => \QSFP_INT_B~output_o\);

-- Location: IOOBUF_X50_Y24_N23
\QSFP_MODPRS_D~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \CTRL_3V3_MODPRS_D~input_o\,
	devoe => ww_devoe,
	o => \QSFP_MODPRS_D~output_o\);

-- Location: IOOBUF_X50_Y22_N16
\QSFP_INT_D~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \CTRL_3V3_INT_D~input_o\,
	devoe => ww_devoe,
	o => \QSFP_INT_D~output_o\);

-- Location: IOOBUF_X6_Y0_N16
\CTRL_3V3_MODSEL_B~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \QSFP_MODSEL_B~input_o\,
	devoe => ww_devoe,
	o => \CTRL_3V3_MODSEL_B~output_o\);

-- Location: IOOBUF_X3_Y0_N2
\CTRL_3V3_RST_C~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \QSFP_RST_C~input_o\,
	devoe => ww_devoe,
	o => \CTRL_3V3_RST_C~output_o\);

-- Location: IOOBUF_X21_Y0_N30
\CTRL_3V3_LPMOD_C~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \QSFP_LPMOD_C~input_o\,
	devoe => ww_devoe,
	o => \CTRL_3V3_LPMOD_C~output_o\);

-- Location: IOOBUF_X8_Y0_N23
\CTRL_3V3_MODSEL_C~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \QSFP_MODSEL_C~input_o\,
	devoe => ww_devoe,
	o => \CTRL_3V3_MODSEL_C~output_o\);

-- Location: IOOBUF_X19_Y17_N16
\CTRL_3V3_RST_B~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \QSFP_RST_B~input_o\,
	devoe => ww_devoe,
	o => \CTRL_3V3_RST_B~output_o\);

-- Location: IOOBUF_X6_Y0_N9
\CTRL_3V3_LPMOD_B~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \QSFP_LPMOD_B~input_o\,
	devoe => ww_devoe,
	o => \CTRL_3V3_LPMOD_B~output_o\);

-- Location: IOOBUF_X0_Y12_N23
\CTRL_3V3_MODSEL_D~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \QSFP_MODSEL_D~input_o\,
	devoe => ww_devoe,
	o => \CTRL_3V3_MODSEL_D~output_o\);

-- Location: IOOBUF_X3_Y0_N9
\CTRL_3V3_RST_D~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \QSFP_RST_D~input_o\,
	devoe => ww_devoe,
	o => \CTRL_3V3_RST_D~output_o\);

-- Location: IOOBUF_X0_Y11_N16
\CTRL_3V3_LPMOD_D~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \QSFP_LPMOD_D~input_o\,
	devoe => ww_devoe,
	o => \CTRL_3V3_LPMOD_D~output_o\);

-- Location: IOOBUF_X50_Y16_N23
\QSFP_MODPRS_E~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \CTRL_3V3_MODPRS_E~input_o\,
	devoe => ww_devoe,
	o => \QSFP_MODPRS_E~output_o\);

-- Location: IOOBUF_X50_Y22_N23
\QSFP_INT_E~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \CTRL_3V3_INT_E~input_o\,
	devoe => ww_devoe,
	o => \QSFP_INT_E~output_o\);

-- Location: IOOBUF_X50_Y24_N9
\QSFP_MODPRS_F~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \CTRL_3V3_MODPRS_F~input_o\,
	devoe => ww_devoe,
	o => \QSFP_MODPRS_F~output_o\);

-- Location: IOOBUF_X50_Y22_N9
\QSFP_INT_F~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \CTRL_3V3_INT_F~input_o\,
	devoe => ww_devoe,
	o => \QSFP_INT_F~output_o\);

-- Location: IOOBUF_X50_Y24_N16
\QSFP_MODPRS_G~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \CTRL_3V3_MODPRS_G~input_o\,
	devoe => ww_devoe,
	o => \QSFP_MODPRS_G~output_o\);

-- Location: IOOBUF_X50_Y24_N2
\QSFP_INT_G~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \CTRL_3V3_INT_G~input_o\,
	devoe => ww_devoe,
	o => \QSFP_INT_G~output_o\);

-- Location: IOOBUF_X50_Y22_N2
\QSFP_MODPRS_H~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \CTRL_3V3_MODPRS_H~input_o\,
	devoe => ww_devoe,
	o => \QSFP_MODPRS_H~output_o\);

-- Location: IOOBUF_X50_Y25_N23
\QSFP_INT_H~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \CTRL_3V3_INT_H~input_o\,
	devoe => ww_devoe,
	o => \QSFP_INT_H~output_o\);

-- Location: IOOBUF_X0_Y11_N23
\CTRL_3V3_MODSEL_E~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \QSFP_MODSEL_E~input_o\,
	devoe => ww_devoe,
	o => \CTRL_3V3_MODSEL_E~output_o\);

-- Location: IOOBUF_X8_Y0_N30
\CTRL_3V3_RST_E~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \QSFP_RST_E~input_o\,
	devoe => ww_devoe,
	o => \CTRL_3V3_RST_E~output_o\);

-- Location: IOOBUF_X3_Y0_N16
\CTRL_3V3_LPMOD_E~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \QSFP_LPMOD_E~input_o\,
	devoe => ww_devoe,
	o => \CTRL_3V3_LPMOD_E~output_o\);

-- Location: IOOBUF_X16_Y17_N2
\CTRL_3V3_MODSEL_F~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \QSFP_MODSEL_F~input_o\,
	devoe => ww_devoe,
	o => \CTRL_3V3_MODSEL_F~output_o\);

-- Location: IOOBUF_X16_Y17_N16
\CTRL_3V3_RST_F~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \QSFP_RST_F~input_o\,
	devoe => ww_devoe,
	o => \CTRL_3V3_RST_F~output_o\);

-- Location: IOOBUF_X24_Y0_N2
\CTRL_3V3_LPMOD_F~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \QSFP_LPMOD_F~input_o\,
	devoe => ww_devoe,
	o => \CTRL_3V3_LPMOD_F~output_o\);

-- Location: IOOBUF_X24_Y0_N30
\CTRL_3V3_MODSEL_G~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \QSFP_MODSEL_G~input_o\,
	devoe => ww_devoe,
	o => \CTRL_3V3_MODSEL_G~output_o\);

-- Location: IOOBUF_X21_Y0_N23
\CTRL_3V3_RST_G~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \QSFP_RST_G~input_o\,
	devoe => ww_devoe,
	o => \CTRL_3V3_RST_G~output_o\);

-- Location: IOOBUF_X21_Y0_N2
\CTRL_3V3_LPMOD_G~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \QSFP_LPMOD_G~input_o\,
	devoe => ww_devoe,
	o => \CTRL_3V3_LPMOD_G~output_o\);

-- Location: IOOBUF_X19_Y0_N16
\CTRL_3V3_MODSEL_H~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \QSFP_MODSEL_H~input_o\,
	devoe => ww_devoe,
	o => \CTRL_3V3_MODSEL_H~output_o\);

-- Location: IOOBUF_X6_Y0_N23
\CTRL_3V3_RST_H~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \QSFP_RST_H~input_o\,
	devoe => ww_devoe,
	o => \CTRL_3V3_RST_H~output_o\);

-- Location: IOOBUF_X16_Y0_N23
\CTRL_3V3_LPMOD_H~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \QSFP_LPMOD_H~input_o\,
	devoe => ww_devoe,
	o => \CTRL_3V3_LPMOD_H~output_o\);

-- Location: IOOBUF_X50_Y26_N23
\QSFP_MODPRS_J~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \CTRL_3V3_MODPRS_J~input_o\,
	devoe => ww_devoe,
	o => \QSFP_MODPRS_J~output_o\);

-- Location: IOOBUF_X50_Y21_N2
\QSFP_INT_J~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \CTRL_3V3_INT_J~input_o\,
	devoe => ww_devoe,
	o => \QSFP_INT_J~output_o\);

-- Location: IOOBUF_X24_Y0_N9
\CTRL_3V3_MODSEL_J~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \QSFP_MODSEL_J~input_o\,
	devoe => ww_devoe,
	o => \CTRL_3V3_MODSEL_J~output_o\);

-- Location: IOOBUF_X16_Y17_N9
\CTRL_3V3_RST_J~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \QSFP_RST_J~input_o\,
	devoe => ww_devoe,
	o => \CTRL_3V3_RST_J~output_o\);

-- Location: IOOBUF_X19_Y0_N30
\CTRL_3V3_LPMOD_J~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \QSFP_LPMOD_J~input_o\,
	devoe => ww_devoe,
	o => \CTRL_3V3_LPMOD_J~output_o\);

-- Location: IOIBUF_X19_Y17_N8
\CTRL_3V3_MODPRS_A~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_CTRL_3V3_MODPRS_A,
	o => \CTRL_3V3_MODPRS_A~input_o\);

-- Location: IOIBUF_X8_Y0_N15
\CTRL_3V3_INT_A~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_CTRL_3V3_INT_A,
	o => \CTRL_3V3_INT_A~input_o\);

-- Location: IOIBUF_X0_Y7_N15
\QSFP_MODSEL_A~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_QSFP_MODSEL_A,
	o => \QSFP_MODSEL_A~input_o\);

-- Location: IOIBUF_X50_Y25_N15
\QSFP_RST_A~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_QSFP_RST_A,
	o => \QSFP_RST_A~input_o\);

-- Location: IOIBUF_X0_Y9_N22
\QSFP_LPMOD_A~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_QSFP_LPMOD_A,
	o => \QSFP_LPMOD_A~input_o\);

-- Location: IOIBUF_X16_Y17_N22
\CTRL_3V3_MODPRS_C~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_CTRL_3V3_MODPRS_C,
	o => \CTRL_3V3_MODPRS_C~input_o\);

-- Location: IOIBUF_X14_Y17_N29
\CTRL_3V3_INT_C~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_CTRL_3V3_INT_C,
	o => \CTRL_3V3_INT_C~input_o\);

-- Location: IOIBUF_X19_Y0_N22
\CTRL_3V3_MODPRS_B~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_CTRL_3V3_MODPRS_B,
	o => \CTRL_3V3_MODPRS_B~input_o\);

-- Location: IOIBUF_X19_Y17_N29
\CTRL_3V3_INT_B~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_CTRL_3V3_INT_B,
	o => \CTRL_3V3_INT_B~input_o\);

-- Location: IOIBUF_X25_Y23_N15
\CTRL_3V3_MODPRS_D~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_CTRL_3V3_MODPRS_D,
	o => \CTRL_3V3_MODPRS_D~input_o\);

-- Location: IOIBUF_X21_Y17_N29
\CTRL_3V3_INT_D~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_CTRL_3V3_INT_D,
	o => \CTRL_3V3_INT_D~input_o\);

-- Location: IOIBUF_X0_Y8_N8
\QSFP_MODSEL_B~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_QSFP_MODSEL_B,
	o => \QSFP_MODSEL_B~input_o\);

-- Location: IOIBUF_X0_Y3_N8
\QSFP_RST_C~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_QSFP_RST_C,
	o => \QSFP_RST_C~input_o\);

-- Location: IOIBUF_X50_Y8_N15
\QSFP_LPMOD_C~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_QSFP_LPMOD_C,
	o => \QSFP_LPMOD_C~input_o\);

-- Location: IOIBUF_X0_Y8_N1
\QSFP_MODSEL_C~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_QSFP_MODSEL_C,
	o => \QSFP_MODSEL_C~input_o\);

-- Location: IOIBUF_X50_Y15_N22
\QSFP_RST_B~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_QSFP_RST_B,
	o => \QSFP_RST_B~input_o\);

-- Location: IOIBUF_X0_Y7_N8
\QSFP_LPMOD_B~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_QSFP_LPMOD_B,
	o => \QSFP_LPMOD_B~input_o\);

-- Location: IOIBUF_X0_Y9_N8
\QSFP_MODSEL_D~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_QSFP_MODSEL_D,
	o => \QSFP_MODSEL_D~input_o\);

-- Location: IOIBUF_X0_Y7_N22
\QSFP_RST_D~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_QSFP_RST_D,
	o => \QSFP_RST_D~input_o\);

-- Location: IOIBUF_X0_Y9_N15
\QSFP_LPMOD_D~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_QSFP_LPMOD_D,
	o => \QSFP_LPMOD_D~input_o\);

-- Location: IOIBUF_X14_Y17_N22
\CTRL_3V3_MODPRS_E~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_CTRL_3V3_MODPRS_E,
	o => \CTRL_3V3_MODPRS_E~input_o\);

-- Location: IOIBUF_X25_Y22_N22
\CTRL_3V3_INT_E~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_CTRL_3V3_INT_E,
	o => \CTRL_3V3_INT_E~input_o\);

-- Location: IOIBUF_X25_Y24_N15
\CTRL_3V3_MODPRS_F~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_CTRL_3V3_MODPRS_F,
	o => \CTRL_3V3_MODPRS_F~input_o\);

-- Location: IOIBUF_X25_Y22_N15
\CTRL_3V3_INT_F~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_CTRL_3V3_INT_F,
	o => \CTRL_3V3_INT_F~input_o\);

-- Location: IOIBUF_X19_Y17_N22
\CTRL_3V3_MODPRS_G~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_CTRL_3V3_MODPRS_G,
	o => \CTRL_3V3_MODPRS_G~input_o\);

-- Location: IOIBUF_X25_Y24_N22
\CTRL_3V3_INT_G~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_CTRL_3V3_INT_G,
	o => \CTRL_3V3_INT_G~input_o\);

-- Location: IOIBUF_X25_Y23_N22
\CTRL_3V3_MODPRS_H~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_CTRL_3V3_MODPRS_H,
	o => \CTRL_3V3_MODPRS_H~input_o\);

-- Location: IOIBUF_X25_Y25_N15
\CTRL_3V3_INT_H~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_CTRL_3V3_INT_H,
	o => \CTRL_3V3_INT_H~input_o\);

-- Location: IOIBUF_X0_Y9_N1
\QSFP_MODSEL_E~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_QSFP_MODSEL_E,
	o => \QSFP_MODSEL_E~input_o\);

-- Location: IOIBUF_X0_Y8_N15
\QSFP_RST_E~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_QSFP_RST_E,
	o => \QSFP_RST_E~input_o\);

-- Location: IOIBUF_X0_Y3_N22
\QSFP_LPMOD_E~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_QSFP_LPMOD_E,
	o => \QSFP_LPMOD_E~input_o\);

-- Location: IOIBUF_X50_Y14_N15
\QSFP_MODSEL_F~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_QSFP_MODSEL_F,
	o => \QSFP_MODSEL_F~input_o\);

-- Location: IOIBUF_X50_Y15_N15
\QSFP_RST_F~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_QSFP_RST_F,
	o => \QSFP_RST_F~input_o\);

-- Location: IOIBUF_X50_Y2_N8
\QSFP_LPMOD_F~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_QSFP_LPMOD_F,
	o => \QSFP_LPMOD_F~input_o\);

-- Location: IOIBUF_X50_Y26_N15
\QSFP_MODSEL_G~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_QSFP_MODSEL_G,
	o => \QSFP_MODSEL_G~input_o\);

-- Location: IOIBUF_X50_Y2_N15
\QSFP_RST_G~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_QSFP_RST_G,
	o => \QSFP_RST_G~input_o\);

-- Location: IOIBUF_X50_Y11_N1
\QSFP_LPMOD_G~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_QSFP_LPMOD_G,
	o => \QSFP_LPMOD_G~input_o\);

-- Location: IOIBUF_X50_Y2_N1
\QSFP_MODSEL_H~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_QSFP_MODSEL_H,
	o => \QSFP_MODSEL_H~input_o\);

-- Location: IOIBUF_X0_Y3_N15
\QSFP_RST_H~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_QSFP_RST_H,
	o => \QSFP_RST_H~input_o\);

-- Location: IOIBUF_X50_Y8_N22
\QSFP_LPMOD_H~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_QSFP_LPMOD_H,
	o => \QSFP_LPMOD_H~input_o\);

-- Location: IOIBUF_X12_Y17_N8
\CTRL_3V3_MODPRS_J~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_CTRL_3V3_MODPRS_J,
	o => \CTRL_3V3_MODPRS_J~input_o\);

-- Location: IOIBUF_X19_Y17_N1
\CTRL_3V3_INT_J~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_CTRL_3V3_INT_J,
	o => \CTRL_3V3_INT_J~input_o\);

-- Location: IOIBUF_X50_Y2_N22
\QSFP_MODSEL_J~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_QSFP_MODSEL_J,
	o => \QSFP_MODSEL_J~input_o\);

-- Location: IOIBUF_X50_Y16_N15
\QSFP_RST_J~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_QSFP_RST_J,
	o => \QSFP_RST_J~input_o\);

-- Location: IOIBUF_X50_Y10_N15
\QSFP_LPMOD_J~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_QSFP_LPMOD_J,
	o => \QSFP_LPMOD_J~input_o\);

-- Location: IOIBUF_X0_Y8_N22
\QSFP_AUX_0~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => QSFP_AUX_0,
	o => \QSFP_AUX_0~input_o\);

-- Location: IOIBUF_X50_Y11_N23
\QSFP_AUX_1~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => QSFP_AUX_1,
	o => \QSFP_AUX_1~input_o\);

-- Location: IOIBUF_X50_Y10_N1
\QSFP_AUX_2~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => QSFP_AUX_2,
	o => \QSFP_AUX_2~input_o\);

-- Location: IOIBUF_X50_Y10_N8
\QSFP_AUX_3~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => QSFP_AUX_3,
	o => \QSFP_AUX_3~input_o\);

-- Location: UNVM_X0_Y18_N40
\~QUARTUS_CREATED_UNVM~\ : fiftyfivenm_unvm
-- pragma translate_off
GENERIC MAP (
	addr_range1_end_addr => -1,
	addr_range1_offset => -1,
	addr_range2_offset => -1,
	is_compressed_image => "false",
	is_dual_boot => "false",
	is_eram_skip => "false",
	max_ufm_valid_addr => -1,
	max_valid_addr => -1,
	min_ufm_valid_addr => -1,
	min_valid_addr => -1,
	part_name => "quartus_created_unvm",
	reserve_block => "true")
-- pragma translate_on
PORT MAP (
	nosc_ena => \~QUARTUS_CREATED_GND~I_combout\,
	xe_ye => \~QUARTUS_CREATED_GND~I_combout\,
	se => \~QUARTUS_CREATED_GND~I_combout\,
	busy => \~QUARTUS_CREATED_UNVM~~busy\);

-- Location: ADCBLOCK_X25_Y28_N0
\~QUARTUS_CREATED_ADC1~\ : fiftyfivenm_adcblock
-- pragma translate_off
GENERIC MAP (
	analog_input_pin_mask => 0,
	clkdiv => 1,
	device_partname_fivechar_prefix => "none",
	is_this_first_or_second_adc => 1,
	prescalar => 0,
	pwd => 1,
	refsel => 0,
	reserve_block => "true",
	testbits => 66,
	tsclkdiv => 1,
	tsclksel => 0)
-- pragma translate_on
PORT MAP (
	soc => \~QUARTUS_CREATED_GND~I_combout\,
	usr_pwd => VCC,
	tsen => \~QUARTUS_CREATED_GND~I_combout\,
	chsel => \~QUARTUS_CREATED_ADC1~_CHSEL_bus\,
	eoc => \~QUARTUS_CREATED_ADC1~~eoc\);

ww_QSFP_MODPRS_A <= \QSFP_MODPRS_A~output_o\;

ww_QSFP_INT_A <= \QSFP_INT_A~output_o\;

ww_CTRL_3V3_MODSEL_A <= \CTRL_3V3_MODSEL_A~output_o\;

ww_CTRL_3V3_RST_A <= \CTRL_3V3_RST_A~output_o\;

ww_CTRL_3V3_LPMOD_A <= \CTRL_3V3_LPMOD_A~output_o\;

ww_QSFP_MODPRS_C <= \QSFP_MODPRS_C~output_o\;

ww_QSFP_INT_C <= \QSFP_INT_C~output_o\;

ww_QSFP_MODPRS_B <= \QSFP_MODPRS_B~output_o\;

ww_QSFP_INT_B <= \QSFP_INT_B~output_o\;

ww_QSFP_MODPRS_D <= \QSFP_MODPRS_D~output_o\;

ww_QSFP_INT_D <= \QSFP_INT_D~output_o\;

ww_CTRL_3V3_MODSEL_B <= \CTRL_3V3_MODSEL_B~output_o\;

ww_CTRL_3V3_RST_C <= \CTRL_3V3_RST_C~output_o\;

ww_CTRL_3V3_LPMOD_C <= \CTRL_3V3_LPMOD_C~output_o\;

ww_CTRL_3V3_MODSEL_C <= \CTRL_3V3_MODSEL_C~output_o\;

ww_CTRL_3V3_RST_B <= \CTRL_3V3_RST_B~output_o\;

ww_CTRL_3V3_LPMOD_B <= \CTRL_3V3_LPMOD_B~output_o\;

ww_CTRL_3V3_MODSEL_D <= \CTRL_3V3_MODSEL_D~output_o\;

ww_CTRL_3V3_RST_D <= \CTRL_3V3_RST_D~output_o\;

ww_CTRL_3V3_LPMOD_D <= \CTRL_3V3_LPMOD_D~output_o\;

ww_QSFP_MODPRS_E <= \QSFP_MODPRS_E~output_o\;

ww_QSFP_INT_E <= \QSFP_INT_E~output_o\;

ww_QSFP_MODPRS_F <= \QSFP_MODPRS_F~output_o\;

ww_QSFP_INT_F <= \QSFP_INT_F~output_o\;

ww_QSFP_MODPRS_G <= \QSFP_MODPRS_G~output_o\;

ww_QSFP_INT_G <= \QSFP_INT_G~output_o\;

ww_QSFP_MODPRS_H <= \QSFP_MODPRS_H~output_o\;

ww_QSFP_INT_H <= \QSFP_INT_H~output_o\;

ww_CTRL_3V3_MODSEL_E <= \CTRL_3V3_MODSEL_E~output_o\;

ww_CTRL_3V3_RST_E <= \CTRL_3V3_RST_E~output_o\;

ww_CTRL_3V3_LPMOD_E <= \CTRL_3V3_LPMOD_E~output_o\;

ww_CTRL_3V3_MODSEL_F <= \CTRL_3V3_MODSEL_F~output_o\;

ww_CTRL_3V3_RST_F <= \CTRL_3V3_RST_F~output_o\;

ww_CTRL_3V3_LPMOD_F <= \CTRL_3V3_LPMOD_F~output_o\;

ww_CTRL_3V3_MODSEL_G <= \CTRL_3V3_MODSEL_G~output_o\;

ww_CTRL_3V3_RST_G <= \CTRL_3V3_RST_G~output_o\;

ww_CTRL_3V3_LPMOD_G <= \CTRL_3V3_LPMOD_G~output_o\;

ww_CTRL_3V3_MODSEL_H <= \CTRL_3V3_MODSEL_H~output_o\;

ww_CTRL_3V3_RST_H <= \CTRL_3V3_RST_H~output_o\;

ww_CTRL_3V3_LPMOD_H <= \CTRL_3V3_LPMOD_H~output_o\;

ww_QSFP_MODPRS_J <= \QSFP_MODPRS_J~output_o\;

ww_QSFP_INT_J <= \QSFP_INT_J~output_o\;

ww_CTRL_3V3_MODSEL_J <= \CTRL_3V3_MODSEL_J~output_o\;

ww_CTRL_3V3_RST_J <= \CTRL_3V3_RST_J~output_o\;

ww_CTRL_3V3_LPMOD_J <= \CTRL_3V3_LPMOD_J~output_o\;

QSFP_AUX_0 <= \QSFP_AUX_0~output_o\;

QSFP_AUX_1 <= \QSFP_AUX_1~output_o\;

QSFP_AUX_2 <= \QSFP_AUX_2~output_o\;

QSFP_AUX_3 <= \QSFP_AUX_3~output_o\;
END structure;


